
def run(fn):
    stats = []
    print 'Reading data set %s...' % fn
    f = file(fn)
    ints = [l.split() for l in f.readlines()]

    print 'Running conversion...'
    
    import time
    
    result = []
    t0 = time.time()
    for x, y in ints:
        result.append(int(x))
        result.append(int(y))
        
    dt = time.time() - t0
    print 'int() : %.3f' % dt
    stats += [dt, dt*1000000000/len(ints)]


    t0 = time.time()
    result = []
    for x, y in ints:
        result.append(long(x))
        result.append(long(y))
        
    dt = time.time() - t0
    print 'long(): %.3f' % dt
    stats += [dt, dt*1000000000/len(ints)]


    return stats

if __name__ == '__main__':
    import csv, time, os
    wdir = os.path.dirname(__file__)

    f = csv.writer(file(time.strftime('%Y%m%d-%H%M%S-convert.csv'), 'wb'))
    f.writerow(('Data set', 'int conversion', 'int (nsec/pair)', 'long conversion', 'long (nsec/pair)'))

    n = 1
    while 1:
        fn = os.path.join(wdir, 'longtest%02d.txt' % n)
        if not os.path.exists(fn):
            break
            
        f.writerow([n]+run(fn))
        n += 1

